ApiLicense (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiLicense

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiLicense

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiLicense
      extends Object

  Information about the Cloudera Manager license.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiLicense()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiLicense` | `addFeaturesItem(ApiLicenseFeature featuresItem)`
    `ApiLicense` | `deactivationDate(String deactivationDate)`
    `boolean` | `equals(Object o)`
    `ApiLicense` | `expiration(String expiration)`
    `ApiLicense` | `features(List<ApiLicenseFeature> features)`
    `String` | `getDeactivationDate()` The deactivation date.
    `String` | `getExpiration()` The expiration date.
    `List<ApiLicenseFeature>` | `getFeatures()` Returns the list of available features as per the license
    `String` | `getOwner()` The owner (organization name) of the license.
    `String` | `getStartDate()` The start date.
    `String` | `getUuid()` A UUID of this license.
    `int` | `hashCode()`
    `ApiLicense` | `owner(String owner)`
    `void` | `setDeactivationDate(String deactivationDate)`
    `void` | `setExpiration(String expiration)`
    `void` | `setFeatures(List<ApiLicenseFeature> features)`
    `void` | `setOwner(String owner)`
    `void` | `setStartDate(String startDate)`
    `void` | `setUuid(String uuid)`
    `ApiLicense` | `startDate(String startDate)`
    `String` | `toString()`
    `ApiLicense` | `uuid(String uuid)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiLicense

          public ApiLicense()

  - ### Method Detail

    - #### owner

          public ApiLicense owner(String owner)

    - #### getOwner

          public String getOwner()

      The owner (organization name) of the license.
      Returns:
        owner

    - #### setOwner

          public void setOwner(String owner)

    - #### uuid

          public ApiLicense uuid(String uuid)

    - #### getUuid

          public String getUuid()

      A UUID of this license.
      Returns:
        uuid

    - #### setUuid

          public void setUuid(String uuid)

    - #### expiration

          public ApiLicense expiration(String expiration)

    - #### getExpiration

          public String getExpiration()

      The expiration date.
      Returns:
        expiration

    - #### setExpiration

          public void setExpiration(String expiration)

    - #### features

          public ApiLicense features(List<ApiLicenseFeature> features)

    - #### addFeaturesItem

          public ApiLicense addFeaturesItem(ApiLicenseFeature featuresItem)

    - #### getFeatures

          public List<ApiLicenseFeature> getFeatures()

      Returns the list of available features as per the license
      Returns:
        features

    - #### setFeatures

          public void setFeatures(List<ApiLicenseFeature> features)

    - #### deactivationDate

          public ApiLicense deactivationDate(String deactivationDate)

    - #### getDeactivationDate

          public String getDeactivationDate()

      The deactivation date.
      Returns:
        deactivationDate

    - #### setDeactivationDate

          public void setDeactivationDate(String deactivationDate)

    - #### startDate

          public ApiLicense startDate(String startDate)

    - #### getStartDate

          public String getStartDate()

      The start date.
      Returns:
        startDate

    - #### setStartDate

          public void setStartDate(String startDate)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.